apiVersion: brokernet.kanod.io/v1
kind: NetworkDefinition
metadata:
  name: netdef
  annotations:
    kanod.io/underlay-network: net10G
    kanod.io/untagged: 'true'
spec:
  type: vlan
  vnid: "vlan"
  subnetPrefix: 192.168.vlan.0/24
  gatewayIp: 192.168.vlan.1/24
  dhcpServerIp: 192.168.133.10
  credentialName: cred-netdef
  subnetStart: 192.168.vlan.2
  subnetEnd: 192.168.vlan.254
  domainNameServers:
    - 192.168.133.2
  dhcpMode: mode
